/*
 * elm327d.c
 *
 * Created: 2013/04/05 0:23:29
 *  Author: yasuoki
 */ 

#include "conf/config.h"
#include "lib_board/avr90usb/avr90usb.h"
#include "modules/scheduler/scheduler.h"
#include "lib_mcu/wdt/wdt_drv.h"
#include "lib_mcu/power/power_drv.h"
#include "lib_mcu/usb/usb_drv.h"
#include <avr/io.h>
#include <util/delay.h>

void wait() {
	for(int n=0; n < 1000; n++) {
		for(int i=0; i < 32000; i++);
	}		
}
int main(void)
{
	ports_init();
	LED_PORT = 0;
	Usb_enable_regulator();
	wdtdrv_disable();
	start_boot_if_required();
	Clear_prescaler();
	scheduler();
}

